Bug 146058 - Have Anaconda detect and mount vfat partions
Have Anaconda detect and mount vfat partions
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: hal (Show other bugs)
3
All Linux
medium Severity medium
: ---
: ---
Assigned To: John (J5) Palmieri
Mike McLean
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-01-24 19:31 EST by Arthur Pemberton
Modified: 2013-03-13 00:47 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-07-15 00:37:13 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Arthur Pemberton 2005-01-24 19:31:03 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.3)
Gecko/20041020

Description of problem:
I would be great if Anaconda would detect and mount vfat partions.
This would save some energy, and would be very nice for newbies. I
have a script here which I setup to do such a thing:

http://pembo13.dalive.com/scripts/bash/setup-vfat.php

I did it becuase FC3 marked the third time I would have had to do it
manually. This would serve as a nice optional step at least.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Start install FC3
2. Run and complete Anaconda
3. Boot system
    

Actual Results:  vfat partions must be manually setup

Expected Results:  vfat partions could be automatically setup

Additional info:

http://pembo13.dalive.com/scripts/bash/setup-vfat.php
http://pembo13.dalive.com/scripts/bash/setup-vfat.sh
Comment 1 Jeremy Katz 2005-01-24 21:02:00 EST
This should be being taken care of by hal.
Comment 2 Brian Baker 2005-03-11 15:30:51 EST
I don't understand the comment about hal.  Can you explain?  Also, 
what are the chances of getting vfat driver update disks to be 
detected and used?
Comment 3 David Zeuthen 2005-03-11 15:44:18 EST
> I don't understand the comment about hal.  Can you explain?  

The code in the initial post is not good since it just relies on the
MSDOS partition type and thus won't work on other arches where the
native partitioning format is different (think ppc) - you really need
to look at each partition in detail, e.g. look for file system
signatures. 

This is more difficult that it sounds, as e.g. various IDE RAID drives
has their RAID signature in weird places so it looks like a VFAT
partition when it really isn't. Mounting such a partition will work
too, but result in scary data loss / corruption.

However, HAL will do this for FC4 since we've just got some code to
detect IDE RAID partitions. Stay tuned.

> Also, what are the chances of getting vfat driver update disks to be 
> detected and used?

I don't think this question has anything to do with this bug.
Comment 4 Arthur Pemberton 2005-03-11 15:49:30 EST
Ok thanks for clarifing. I too was curious about the hal comment. But
I understand now. So is it safe to explect FC4 to auto-setup my linux
readable partions?
Comment 5 David Zeuthen 2005-03-11 15:54:32 EST
> So is it safe to explect FC4 to auto-setup my linux
readable partions?

That is indeed the plan, yeah.
Comment 6 Arthur Pemberton 2005-03-11 20:30:22 EST
Many thanks in advance.
Comment 7 Matthew Miller 2006-07-10 18:06:21 EDT
Fedora Core 3 is now maintained by the Fedora Legacy project for security
updates only. If this problem is a security issue, please reopen and
reassign to the Fedora Legacy product. If it is not a security issue and
hasn't been resolved in the current FC5 updates or in the FC6 test
release, reopen and change the version to match.

Thank you!

Note You need to log in before you can comment on or make changes to this bug.